Bug 95529 - [regression, bisected] Image corruption in Chrome
Summary: [regression, bisected] Image corruption in Chrome
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-23 00:49 UTC by Vladislav Egorov
Modified: 2016-06-10 18:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
glitches on radeonsi (790.71 KB, image/png)
2016-05-23 00:49 UTC, Vladislav Egorov
Details
glitches on llvmpipe (309.71 KB, image/png)
2016-05-23 00:51 UTC, Vladislav Egorov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladislav Egorov 2016-05-23 00:49:27 UTC
Created attachment 123972 [details]
glitches on radeonsi

You need to open in Chrome page with a lot of pictures (for example https://commons.wikimedia.org/w/index.php?title=Category:Featured_pictures_on_Wikimedia_Commons) and start to scroll, refresh, zoom in and out, switch tabs. I can reproduce it both with radeonsi and llvmpipe. It takes longer with with llvmpipe and glitch patterns are a bit different. Also GPU started to randomly hang once in a day freezing the whole system when I use Chrome - I am not sure, but maybe this have something to do with this bug. Kernel 4.4 from Ubuntu 16.04.

d8d029f22bcb49c26ddb11d0bb968d24f2a5fb7e is the first bad commit
commit d8d029f22bcb49c26ddb11d0bb968d24f2a5fb7e
Date:   Thu Mar 24 14:09:24 2016 -0600

    st/mesa: simplify st_generate_mipmap()
Comment 1 Vladislav Egorov 2016-05-23 00:51:07 UTC
Created attachment 123973 [details]
glitches on llvmpipe
Comment 2 Brian Paul 2016-05-23 15:04:50 UTC
For the llvmpipe images, what exactly is the issue?  I see a faint checkerboard pattern in some of the images.  Is that it?

Would it be possible for you to create an apitrace of the GL calls?
Comment 3 Vladislav Egorov 2016-05-24 07:04:54 UTC
Yes, they look washed out or half-transparent. Checker pattern is not a part of the bug, Wikipedia uses it as a background. Trace: https://www.dropbox.com/s/dusvloqxwi2iuj6/chrome.1.trace
Comment 4 Vladislav Egorov 2016-06-03 18:47:23 UTC
I tested it again, and d8d029f indeed leads to unrecoverable lock-ups of the whole system with radeonsi in Chrome. Also, on radeonsi after d8d029f I'm getting a lot of GPU faults in dmesg:
[64145.940528] radeon 0000:02:00.0: GPU fault detected: 146 0x05a5a014
[64145.940532] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x000284AD
[64145.940533] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x050A0014
[64145.940534] VM fault (0x04, vmid 2) at page 165037, write from CB (160)
[64145.940536] radeon 0000:02:00.0: GPU fault detected: 146 0x05a5e014
[64145.940537] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x000284B5
[64145.940538] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x05060014
[64145.940539] VM fault (0x04, vmid 2) at page 165045, write from CB (96)
[64145.940541] radeon 0000:02:00.0: GPU fault detected: 146 0x06a56014
[64145.940542] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x000284B5
[64145.940543] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x05060014
[64145.940544] VM fault (0x04, vmid 2) at page 165045, write from CB (96)
[64145.940779] radeon 0000:02:00.0: GPU fault detected: 146 0x0644440c
[64145.940780] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x000284B2
[64145.940781] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0404400C
[64145.940782] VM fault (0x0c, vmid 2) at page 165042, read from TC (68)
[64145.940795] radeon 0000:02:00.0: GPU fault detected: 146 0x0644480c
[64145.940796] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x000284B2
[64145.940797] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0400800C
[64145.940798] VM fault (0x0c, vmid 2) at page 165042, read from TC (8)
[64145.940956] radeon 0000:02:00.0: GPU fault detected: 146 0x01856014
[64145.940957] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x0002840C
[64145.940958] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x05060014
[64145.940959] VM fault (0x04, vmid 2) at page 164876, write from CB (96)
[64145.940961] radeon 0000:02:00.0: GPU fault detected: 146 0x01855014
[64145.940962] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00028402
[64145.940963] radeon 0000:02:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0400800C
Comment 5 Nicolai Hähnle 2016-06-06 22:41:41 UTC
Hi Vladislav, thanks for the trace, that was very helpful. There is a candidate fix at https://lists.freedesktop.org/archives/mesa-dev/2016-June/119594.html
Comment 6 Nicolai Hähnle 2016-06-10 18:24:51 UTC
Fixed in git master, commit 42624ea837e8f422f1cd04403af915bd7f218b8d (st/mesa: use base level size as "guess" when available)
.


bug/show.html.tmpl processed on Jan 16, 2017 at 17:21:18.
(provided by the Example extension).